<?php
session_start();
if(!isset($_SESSION['adm1n']) || $_SESSION['adm1n']['Nbr'] == ''){
  
       header("Location: ../misc/default.php");
       exit;
       
}
require_once("../../includes/php/defines.php");
require_once("../../includes/php/classes/mainClass.php");
require_once("../../includes/php/classes/linksClass.php");

$l = new linksClass;
$info = $l->getLink($_GET['Id']);

?>
<section>
	<div class="container-fluid">
		<div class="container">
			<div class="col-md-12 result-heading">
				<div class="rh-form">		
				<?php
					if(isset($_GET['ReturnPage']) && $_GET['ReturnPage'] != ''){                                        

							echo '<form>';
							echo '<div class="form-group">';
							echo '<div class="return-div"><span onclick="contentChanger(\''.$_GET['ReturnPage'].'\');"><< RETURN TO LINKS MANAGER</span></div>';
							echo '</div>';       
							echo '</form>';  

					}             
					?>		
					<h1>Edit Link</h1>					
					<form class="a-r-form" id="Admin_Form">
						<div id="Animation">
							<div class="blockG" id="rotateG_01"></div>
							<div class="blockG" id="rotateG_02"></div>
							<div class="blockG" id="rotateG_03"></div>
							<div class="blockG" id="rotateG_04"></div>
							<div class="blockG" id="rotateG_05"></div>
							<div class="blockG" id="rotateG_06"></div>
							<div class="blockG" id="rotateG_07"></div>
							<div class="blockG" id="rotateG_08"></div>                                            
						</div>
						<div id="Result"></div>                         
						<div class="form-group">
							<label>Name</label>
							<input type="text" class="col-md-12" id="Name" name="Name" value="<?php echo $info['Name']; ?>">
						</div>											
						<div class="form-group">
              				<p class="label-p">Description</p>
							<textarea class="col-md-12" rows="5" id="Desc" name="Desc"><?php echo $info['Desc']; ?></textarea>
						</div>
						<div class="form-group">
              				<p class="label-p">Link URL</p>
							<textarea class="col-md-12" rows="5" id="Link" name="Link"><?php echo $info['Link']; ?></textarea>
						</div>													
						<div class="form-group" id="Submit_Paragraph">
              				<input type="hidden" value="<?php echo $info['Nbr']; ?>" id="Id" name="Id"/>
							<input type="button" value="submit" onclick="processForm('Edit_Link','No_Clear');">
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
</section>